Subject: Re: A-26B Invader by Gianni Chirico
From: "Steve Bamford ARC" <[email-masked]>
To: "Giovanni Chirico" <[email-masked]>
Date: Thu, 24 Jul 2003 23:44:08 -0700

----- Original Message ----- 
  From: Giovanni Chirico 
  To: [email-masked] 
  Sent: Monday, June 23, 2003 2:22 PM
  Subject: A-26B Invader by Gianni Chirico

  I Steve, another series of models for you...

  Ciao. Gianni

  Douglas A-26B Invader
  670th Bomb Squadron - 416th Bomb Group
  9th Air Force
  Laon, France, December 1944
  Airfix 1/72

  This is a very old kit of the Airfix in 1/72 scale that I built basically OOB...very funny to built.
  I used Humbrol paints and decals of the box.

  Happy Modelling
  Gianni Chirico